syncml-ds-tool(1)

NAME
syncml-ds-tool - A SyncML Data Synchronization tool for Unix. The syncml-ds-tool supports OMA DS server and client mode. Additionally OBEX and HTTP transports are supported in client and server mode.

SYNOPSIS

syncml-ds-tool 'OPTIONS' ...

OPTIONS

  Datastore configuration
Parameters:
    &ndash;sync '<type>' '<path>' '<directory>' normal two-way sync
    &ndash;slow-sync '<type>' '<path>' '<directory>' slow two-way sync

•   type is the content-type of a datastore text/x-vcard for contacts text/x-vcalendar for calendar text/plain for notes text/x-vMessage for SMS
•   path is the used (virtual) source URL/path It is the local name of the database. You can choose something there.
•   directory is the local path to the synchronized directory The directory is optional and an absolute path. This directory is a persistent storage.

  HTTP client configuration
Parameters:
    &ndash;http-client '<url>'
•   url must be an http URL like http://localhost:8080

  HTTP server configuration
Parameters:
    &ndash;http-server '<port>'
•   port must be a port for the http server.

  OBEX client configuration
Parameters:
    -s '<device>' Connect to the serial device.
    -u List all available USB interfaces.
    -u '<id>' Connect to the given usb interface number. You may discover them with -u.
    -b '<addr>' '<channel>' Connect to the given bluetooth device.
    &ndash;ip '<addr>' '<port>' Connect to this TCP/IP address.
    &ndash;irda Connect using IrDA.
    &ndash;irda-service '<service>' Use the given IrDA service (default: OBEX).

  OBEX server configuration
Parameters:
    &ndash;port '<port>' Listen to this TCP/IP port.

  General SyncML options
Parameters:
    &ndash;identifier '<ident>' set the local identity of SyncML (source).
    &ndash;target '<ident>' set the remote identity of SyncML (target).
    &ndash;username '<username>' set the username for authentication.
    &ndash;password '<password>' set the password for authentication.
    &ndash;maxMsgSize '<limit>' set the maximum message size (default: 0)
    &ndash;maxObjSize* '<limit>' set the maximum object size (default: 0)
    &ndash;useStringTable Use wbxml string tables (default: NEVER EVER)
    &ndash;disableNumberOfChanges the most new phones support it (default: enabled)
    &ndash;useNumberAnchor Use numbers as anchors.
    &ndash;wbxml Use wbxml (WAP Binary XML) instead of plain xml.
    &ndash;read-only No write actions will be performed.
    &ndash;remoteWinsConflicts If there is a conflict then the remote change wins. The default is local wins always. This option is only usable in OMA DS server mode.
    &ndash;dumpinfo Print info about the phone.
    &ndash;version prints the version of the tool.
    &ndash;version '<version>' sets the SyncML version.
•   ident Some devices require a special identity string. Nokias for example often requires 'PC Suite'. Please use --identifier 'PC Suite' in this case.
•   version can be '1.0', '1.1' or '1.2'. The default version is '1.1'.

  Device faking options
Some SyncML servers try to enforce access policies via device filtering. These options can be used to work around such filters.
Parameters:
    &ndash;fake-manufacturer '<Man>' set the manufacturer of the faked device.
    &ndash;fake-model '<Mod>' set the model of the faked device.
    &ndash;fake-software-version '<SwV>' set the software version of the faked device.

EXAMPLES

  Get the contacts from your phone via Bluetooth
$ syncml-ds-tool -b <mac> <channel> --slow-sync text/x-vcard contacts --wbxml --identifier "PC Suite"

  Get the notes from a USB connected phone
$ syncml-ds-tool -u <interface> --slow-sync text/plain notes --wbxml --identifier "PC Suite"

BUGS
    There is a bugtracker running at http://libsyncml.opensync.org/. If you have a problem please look there to see if it is already reported and add your information to the relavant ticket if possible.
    When opening a new ticket please provide as many information as possible. For faster processing of your bug it helps to attach the trace files. You may find a description how to create them at http://opensync.org/wiki/tracing. For crashes the output of gdb could help.

AUTHOR
Written by Felix Moeller, felix@derklecks.de

RESOURCES
Website: http://libsyncml.opensync.org

COPYING
Copyright (C) 2008 OpenSync Team. Free use of this software is granted under the terms of the GNU Lesser General Public License (LGPL).